enum.h File Reference
`#include <ptclib/pdns.h>`

Go to the source code of this file.

## Classes

class | PDNS::NAPTRRecord

## Namespaces

| PDNS

## Macros

#define | NAPTR_SRV 35

## Functions

void | PDNS::PrintOn (ostream &strm) const
NAPTRRecord * | PDNS::GetFirst (const char *service=NULL)
NAPTRRecord * | PDNS::GetNext (const char *service=NULL)
PDNS::NAPTRRecord * | PDNS::HandleDNSRecord (PDNS_RECORD dnsRecord, PDNS_RECORD results)
void | PDNS::UnlockOrder ()
PBoolean | GetRecords (const PString &domain, NAPTRRecordList &recordList)
void | SetENUMServers (const PStringArray &serverlist)
| Set the default ENUM domain search list. More...
PBoolean | ENUMLookup (const PString &dn, const PString &service, const PStringArray &domains, PString &URL)
| Perform a lookup of the specified DN using the specified service and domain list. More...
PBoolean | ENUMLookup (const PString &dn, const PString &service, PString &URL)
| Perform a lookup of the specified DN using the specified service using the default domain list. More...
void | SetRDSServers (const PStringArray &servers)
| Set the Default NAPTR server to lookup. More...
PBoolean | RDSLookup (const PURL &url, const PString &service, PStringList &dn)
| Perform a lookup of the specified url on the NAPTR server list (set by SetNAPTRServers) that uses the specified service. More...
PBoolean | RDSLookup (const PURL &url, const PString &service, const PStringArray &naptrSpaces, PStringList &returnStr)
| Perform a lookup of the specified url on the NAPTR on the specified server list that uses the specified service Returns the resultant corresponding signalling addresses. More...

## Variables

PINDEX | PDNS::currentPos
int | PDNS::lastOrder
PBoolean | PDNS::orderLocked

## Macro Definition Documentation

#define NAPTR_SRV 35

## Function Documentation

PBoolean ENUMLookup | ( | const PString & | dn,
|  | const PString & | service,
|  | const PStringArray & | domains,
|  | PString & | URL
| ) |  |

Perform a lookup of the specified DN using the specified service and domain list.

Returns the resultant URL

Returns
  true if the DN could be resolved, else false

Parameters

  dn | DN to lookup
  service | ENUM service to use
  domains | list of ENUM domains to search
  URL | resolved URL, if return value is true

PBoolean ENUMLookup | ( | const PString & | dn,
|  | const PString & | service,
|  | PString & | URL
| ) |  |

Perform a lookup of the specified DN using the specified service using the default domain list.

Returns the resultant URL.

This function uses the default domain list, which can be set by the SetENUMServers function

Returns
  true if the DN could be resolved, else false

Parameters

  dn | DN to lookup
  service | ENUM service to use
  URL | resolved URL, if return value is true

PBoolean GetRecords | ( | const PString & | domain,
|  | NAPTRRecordList & | recordList
| ) |  |

inline

PBoolean RDSLookup | ( | const PURL & | url,
|  | const PString & | service,
|  | PStringList & | dn
| ) |  |

Perform a lookup of the specified url on the NAPTR server list (set by SetNAPTRServers) that uses the specified service.

Returns the resultant corresponding signalling addresses

Returns
  true if the url could be resolved, else false

Parameters

  url | URL to lookup
  service | Service to use
  dn | resolved addresses, if return value is true

PBoolean RDSLookup | ( | const PURL & | url,
|  | const PString & | service,
|  | const PStringArray & | naptrSpaces,
|  | PStringList & | returnStr
| ) |  |

Perform a lookup of the specified url on the NAPTR on the specified server list that uses the specified service Returns the resultant corresponding signalling addresses.

Returns
  true if the url could be resolved, else false

Parameters

  url | URL to lookup
  service | Service to use
  naptrSpaces | RDS Servers to lookup
  returnStr | resolved addresses, if return value is true

void SetENUMServers | ( | const PStringArray & | serverlist | ) |

Set the default ENUM domain search list.

void SetRDSServers | ( | const PStringArray & | servers | ) |

Set the Default NAPTR server to lookup.